رفتن به محتوا

Florence-2 Large · Region to Segmentation

یکپارچه‌سازی

شناسه مدل florence-2-large/region-to-segmentation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/florence-2-large/region-to-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

این درخواست: ≈⁨‎$۰٫۰۰۹⁩ ۹ اعتبار API اجرای آن در این صفحه

دریافت کلید API
Microsoft · تصویر

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی image_url
یک فایل بیندازید، یا

URL اشاره‌کننده به تصویر برای پردازش.

•الزامی

مختصات ارائه‌شده توسط کاربر.

POST /run/florence-2-large/region-to-segmentation?wait=20 قیمت → ⁨‎$۰٫۰۰۹⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/florence-2-large/region-to-segmentation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره Florence-2 Large · Region to Segmentation

تصویر و مختصات موجود در `region` را می‌گیرد و از شیء آن ناحیه بخش‌بندی تولید می‌کند. تصویر پردازش‌شده را همراه با `results` ساختاریافته برمی‌گرداند. برای تبدیل یک کادر یا ناحیه نقطه‌ای تقریبی به طرح کلی شیء استفاده می‌شود.

پارامترها

نام استاندارد یا نام بومی را ارسال کنید، نه هر دو. نام‌های استاندارد

نامنوع پیش‌فرضمجاز توضیحات
image_urlالزامی image
نوعurl · image
URL اشاره‌کننده به تصویر برای پردازش.
regionالزامی
نوعobject
مختصات ارائه‌شده توسط کاربر.
region.x1الزامی
نوعinteger
۰ – ۹۹۹
مختصات افقی گوشهٔ بالا-چپ.
region.y1الزامی
نوعinteger
۰ – ۹۹۹
مختصات عمودی گوشهٔ بالا-چپ.
region.x2الزامی
نوعinteger
۰ – ۹۹۹
مختصات افقی گوشهٔ پایین-راست.
region.y2الزامی
نوعinteger
۰ – ۹۹۹
مختصات عمودی گوشهٔ پایین-راست.
الزامی نام استاندارد، همچنین پذیرفته می‌شود

پارامترهای فایل یک URL عمومی https://، یک URI از نوع data: تا سقف 10 MB، یا file_url یک فایل بارگذاری‌شده را می‌پذیرند. فایل‌ها

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "florence-2-large/region-to-segmentation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 9,
    "usd": "0.009",
    "charged": 9,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "region": {
      "x1": 100,
      "x2": 200,
      "y1": 100,
      "y2": 200
    }
  },
  "output": {
    "results": {
      "polygons": [
        {
          "points": [],
          "label": "string"
        }
      ]
    },
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
results
object {polygons}نتایج بازگردانده‌شده توسط مدل.
image
object {url, content_type, file_name, file_size, width, height}تصویر حاصل از پردازش.

مدل‌های بیشتر: ویرایش تصویر

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/florence-2-large/region-to-segmentation.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt